%define upstream_name Crypt-RC6
%define upstream_version 1.0

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 19
License:	GPL or Artistic
Group:		Development/Perl
Summary:	Crypt-RC6 module for perl
URL:		http://search.cpan.org/dist/%{upstream_name}
Source0:	%{upstream_name}-%{upstream_version}.tar.bz2
BuildRequires:	perl-devel

%description
This is a perl module which implements a Crypt::CBC compliant 
RC6 block cipher encryption module.

%prep
%setup -q -n %{upstream_name}-%{upstream_version} 

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make


%install
%make_install

%files
%doc CHANGES COPYING README
%{perl_vendorlib}/*/Crypt/RC6.pm
%{perl_vendorlib}/*/auto/Crypt/RC6
%{_mandir}/*/*


%changelog
* Tue Jul 11 2017 bb2 <bb2> - 1.0.0-19pclos2017
- rebuild against updates

